Bug 459347 - Boost-1.36 contains errors in boost-python headers
Boost-1.36 contains errors in boost-python headers
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-17 04:29 EDT by Hans de Goede
Modified: 2013-08-09 01:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 08:51:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-08-17 04:29:14 EDT
When trying to recompile vegastrike against the new boost in rawhide I get the following error:

/usr/include/boost/python/detail/caller.hpp: In static member function 'static const PyTypeObject* boost::python::detail::converter_target_type<ResultConverter>::get_pytype() [with ResultConverter = boost::python::to_python_value<const Vector&>]':
/usr/include/boost/python/detail/caller.hpp:242:   instantiated from 'static boost::python::detail::py_func_sig_info boost::python::detail::caller_arity<1u>::impl<F, Policies, Sig>::signature() [with F = Vector (*)(int), Policies = boost::python::default_call_policies, Sig = boost::mpl::vector2<Vector, int>]'
/usr/include/boost/python/object/py_function.hpp:48:   instantiated from 'boost::python::detail::py_func_sig_info boost::python::objects::caller_py_function_impl<Caller>::signature() const [with Caller = boost::python::detail::caller<Vector (*)(int), boost::python::default_call_policies, boost::mpl::vector2<Vector, int> >]'
src/python/briefing_wrapper.cpp:59:   instantiated from here
/usr/include/boost/python/detail/caller.hpp:102: error: 'struct boost::python::detail::caller_arity<1u>::impl<F, Policies, Sig>::operator()(PyObject*, PyObject*) [with F = Vector (*)(int), Policies = boost::python::default_call_policies, Sig = boost::mpl::vector2<Vector, int>]::result_converter' has no member named 'get_pytype'

To reproduce checkout the vegastrike module from Fedora CVS, then do:
cd vegastrike/devel
make i386
Comment 1 Hans de Goede 2008-09-15 07:39:00 EDT
ping!

It would be nice to have this fixed before the F-10 release candidate, doing a F-10 release with broken deps in the release repo is bad, really bad.
Comment 2 Petr Machata 2008-09-15 08:21:45 EDT
Can you check again?  New boost was in the repo only for a day, then I reverted it.
Comment 3 Hans de Goede 2008-09-15 08:51:49 EDT
(In reply to comment #2)
> Can you check again?  New boost was in the repo only for a day, then I reverted
> it.

Ah, BAD BAD BAD! Amazingly none of my Fedora boost using packages were rebuild against the new version even though I rebuild them immediately after you did the 1.36 push.

But some 3th party repository packages were rebuild against 1.36, rebuilding them now again.

Doing this kind of thing is really bad, for example my system still had 1.36 installed, as yum won't downgrade to 1.34 from 1.36 (unless you would have added an epoch to the re released 1.34)

Anyways the 3th party repo package is rebuilding now, and all should be well, but please don't do this the next time.

Closing.

Note You need to log in before you can comment on or make changes to this bug.